Bug 448010

Summary: Rendering Crashed for Video with Alpha profiles: VP8, VP9, Alpha mov (Version 22.03.70 (rev. 720ff532a))
Product: [Applications] kdenlive Reporter: candideu <cuyan079>
Component: Video Display & ExportAssignee: Jean-Baptiste Mardelle <jb>
Status: RESOLVED FIXED    
Severity: crash CC: cuyan079, fritzibaby, snd.noise
Priority: NOR Flags: fritzibaby: Brainstorm+
Version: unspecified   
Target Milestone: ---   
Platform: Microsoft Windows   
OS: Microsoft Windows   
Latest Commit: Version Fixed In:

Description candideu 2022-01-06 05:21:05 UTC
SUMMARY
Trying to render videos with the alpha profiles crashes, although alpha mov will give a video file output. Not only is there no transparency, but most of the profiles don't produce any exported videos.


STEPS TO REPRODUCE
1. Create a title clip.
2. Add to timeline.
3. Export as VP8, VP9, and/or Alpha mov.

OBSERVED RESULT
Rendering crash with no output for VP8 and VP9. Alpha mov will also crash but will produce an export. However, the exported clip has no transparency.

EXPECTED RESULT
Exported clip with transparency.

SOFTWARE/OS VERSIONS
Windows: 10

ADDITIONAL INFORMATION
Log for alpha mov:
mlt_repository_init: failed to dlopen C:\Program Files\kdenlive\lib\mlt/libmltjack.dll ("C:\Program Files\kdenlive\lib\mlt\libmltjack.dll": The specified module could not be found.)
[mov @ 0000000002aaa980] Timestamps are unset in a packet for stream 1. This is deprecated and will stop working in the future. Fix your code to set the timestamps properly [mov @ 0000000002aaa980] Encoder did not produce proper pts, making some up. [mov @ 0000000002aaa980] Application provided invalid, non monotonically increasing dts to muxer in stream 1: 239616 >= 239616

Log for alpha vp8: 
mlt_repository_init: failed to dlopen C:\Program Files\kdenlive\lib\mlt/libmltjack.dll ("C:\Program Files\kdenlive\lib\mlt\libmltjack.dll": The specified module could not be found.)
[libvpx @ 0000000006530dc0] Bitrate not specified for constrained quality mode, using default of 256kbit/sec [libvpx @ 0000000006530dc0] Transparency encoding with auto_alt_ref does not work

Log for alpha vp9: 
mlt_repository_init: failed to dlopen C:\Program Files\kdenlive\lib\mlt/libmltjack.dll ("C:\Program Files\kdenlive\lib\mlt\libmltjack.dll": The specified module could not be found.)
[libvorbis @ 0000000002a49480] 33 frames left in the queue on closing
Comment 1 emohr 2022-01-09 17:13:12 UTC
Thank you for reporting. I can confirm the crash with exporting VP8. VP9 and move render without failure. 

On which windows version do you made the test?
Comment 2 candideu 2022-01-10 06:19:24 UTC
(In reply to emohr from comment #1)
> Thank you for reporting. I can confirm the crash with exporting VP8. VP9 and
> move render without failure. 
> 
> On which windows version do you made the test?

Windows 10
Comment 3 farid 2022-01-13 10:28:14 UTC
In Linux, I only get a render crash with vp8. vp9 and mov render fine but without alpha.

vp8 error:
Rendering of /tmp/untitled2.webm crashed
[libvpx @ 0x7fffd8203880] Bitrate not specified for constrained quality mode, using default of 256kbit/sec
[libvpx @ 0x7fffd8203880] Transparency encoding with auto_alt_ref does not work
Comment 4 Julius Künzel 2022-01-22 14:24:01 UTC
Git commit ed550ac73f9b1987adcc1367aacba83e369af81e by Julius Künzel, on behalf of Farid Abdelnour.
Committed on 22/01/2022 at 14:23.
Pushed by jlskuz into branch 'master'.

Fix alpha render and add utvideo
Related: bug 436879
Related to #1075

M  +4    -2    data/profiles.xml

https://invent.kde.org/multimedia/kdenlive/commit/ed550ac73f9b1987adcc1367aacba83e369af81e
Comment 5 Julius Künzel 2022-01-22 14:45:37 UTC
Git commit 136a07aa2563b4e59d881bb74b431d992e947e38 by Julius Künzel, on behalf of Farid Abdelnour.
Committed on 22/01/2022 at 14:45.
Pushed by jlskuz into branch 'release/21.12'.

Fix alpha render and add utvideo
Related: bug 436879
Related to #1075

(cherry picked from commit ed550ac73f9b1987adcc1367aacba83e369af81e)

M  +4    -2    data/profiles.xml

https://invent.kde.org/multimedia/kdenlive/commit/136a07aa2563b4e59d881bb74b431d992e947e38